tbb::flow::interface11::opencl_subbuffer< T, Factory > Class Template Reference

`#include <flow_graph_opencl_node.h>`

Inheritance diagram for tbb::flow::interface11::opencl_subbuffer< T, Factory >:
Collaboration diagram for tbb::flow::interface11::opencl_subbuffer< T, Factory >:

## Public Member Functions

| opencl_subbuffer ()
| opencl_subbuffer (const opencl_buffer< T, Factory > &owner, size_t index, size_t size)
Public Member Functions inherited from tbb::flow::interface11::opencl_buffer< T, Factory >
template<access_type a>
iterator< a > | access () const
T * | data () const
template<access_type a = read_write>
iterator< a > | begin () const
template<access_type a = read_write>
iterator< a > | end () const
size_t | size () const
T & | operator[] (ptrdiff_t k)
| opencl_buffer ()
| opencl_buffer (size_t size)
| opencl_buffer (Factory &f, size_t size)
cl_mem | native_object () const
const opencl_buffer & | memory_object () const
void | send (opencl_device device, opencl_async_msg< opencl_buffer, Factory > &dependency) const
void | receive (const opencl_async_msg< opencl_buffer, Factory > &dependency) const
opencl_subbuffer< T, Factory > | subbuffer (size_t index, size_t size) const

## Private Attributes

opencl_buffer< T, Factory > | my_owner

## Additional Inherited Members

Public Types inherited from tbb::flow::interface11::opencl_buffer< T, Factory >
typedef cl_mem | native_object_type
typedef opencl_buffer | memory_object_type
typedef Factory | opencl_factory_type
template<access_type a>
using | iterator = T *

## Detailed Description

### template<typename T, typename Factory>
class tbb::flow::interface11::opencl_subbuffer< T, Factory >

Definition at line 629 of file flow_graph_opencl_node.h.

## Constructor & Destructor Documentation

## opencl_subbuffer() [1/2]

template<typename T, typename Factory>

tbb::flow::interface11::opencl_subbuffer< T, Factory >::opencl_subbuffer | ( |  | ) |

inline

Definition at line 709 of file flow_graph_opencl_node.h.

{}

## opencl_subbuffer() [2/2]

template<typename T, typename Factory>

tbb::flow::interface11::opencl_subbuffer< T, Factory >::opencl_subbuffer | ( | const opencl_buffer< T, Factory > & | owner,
|  | size_t | index,
|  | size_t | size
| ) |  |

inline

Definition at line 710 of file flow_graph_opencl_node.h.

:
opencl_buffer<T, Factory>( *owner.my_impl->factory(), owner.native_object(), index, size ), my_owner( owner ) {}

## Member Data Documentation

## my_owner

template<typename T, typename Factory>

opencl_buffer<T, Factory> tbb::flow::interface11::opencl_subbuffer< T, Factory >::my_owner

private

Definition at line 707 of file flow_graph_opencl_node.h.

The documentation for this class was generated from the following file:

- flow_graph_opencl_node.h

tbb::flow::interface11::opencl_subbuffer::my_owner
opencl_buffer< T, Factory > my_owner
Definition: flow_graph_opencl_node.h:707
tbb::flow::interface11::opencl_buffer::size
size_t size() const
Definition: flow_graph_opencl_node.h:655

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.